org.modeshape.jcr.federation

## Class FederatedDocumentChanges.FederatedReferrerChanges

- java.lang.Object
- - org.modeshape.jcr.federation.FederatedDocumentChanges.FederatedReferrerChanges

- All Implemented Interfaces:
    DocumentChanges.ReferrerChanges
  Enclosing class:
    FederatedDocumentChanges

      protected class FederatedDocumentChanges.FederatedReferrerChanges
      extends Object
      implements DocumentChanges.ReferrerChanges

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FederatedDocumentChanges.FederatedReferrerChanges()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getAddedStrong()` Returns the set with the document identifiers of the documents which have been added as strong referrers.
    `Set<String>` | `getAddedWeak()` Returns the set with the document identifiers of the documents which have been added as weak referrers.
    `Set<String>` | `getRemovedStrong()` Returns the set with the document identifiers of the document which have been removed as strong referrers.
    `Set<String>` | `getRemovedWeak()` Returns the set with the document identifiers of the document which have been removed as weak referrers.
    `boolean` | `isEmpty()` Checks if there are any changes to the referrers (added/removed weak/strong)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedDocumentChanges.FederatedReferrerChanges

          protected FederatedDocumentChanges.FederatedReferrerChanges()

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `DocumentChanges.ReferrerChanges`
      Checks if there are any changes to the referrers (added/removed weak/strong)
      Specified by:
        `isEmpty` in interface `DocumentChanges.ReferrerChanges`
      Returns:
        `true` if there aren't any changes, `false` otherwise

    - #### getAddedStrong

          public Set<String> getAddedStrong()

      Description copied from interface: `DocumentChanges.ReferrerChanges`
      Returns the set with the document identifiers of the documents which have been added as strong referrers.
      Specified by:
        `getAddedStrong` in interface `DocumentChanges.ReferrerChanges`
      Returns:
        a set containing the identifiers of the nodes to which strong references to this node were added; never null

    - #### getAddedWeak

          public Set<String> getAddedWeak()

      Description copied from interface: `DocumentChanges.ReferrerChanges`
      Returns the set with the document identifiers of the documents which have been added as weak referrers.
      Specified by:
        `getAddedWeak` in interface `DocumentChanges.ReferrerChanges`
      Returns:
        a set containing the identifiers of the nodes to which weak references to this node were added; never null

    - #### getRemovedStrong

          public Set<String> getRemovedStrong()

      Description copied from interface: `DocumentChanges.ReferrerChanges`
      Returns the set with the document identifiers of the document which have been removed as strong referrers.
      Specified by:
        `getRemovedStrong` in interface `DocumentChanges.ReferrerChanges`
      Returns:
        a set containing the identifiers of the nodes from which strong references to this node were removed; never null

    - #### getRemovedWeak

          public Set<String> getRemovedWeak()

      Description copied from interface: `DocumentChanges.ReferrerChanges`
      Returns the set with the document identifiers of the document which have been removed as weak referrers.
      Specified by:
        `getRemovedWeak` in interface `DocumentChanges.ReferrerChanges`
      Returns:
        a set containing the identifiers of the nodes from which weak references to this node were removed; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.